<div class="container">
  <div class="row">
    <div class="blankDiv"></div>

    <div class="col-md-3 border-off-white">
      <h2>Pages</h2>
      <hr>
      <h5>
        <a [routerLink]="['/edit-profile']">Edit Profile</a>
      </h5>

      <h5>
        <a [routerLink]="['/my-bookings']">My Bookings</a>
      </h5>

      <h5>
        <a [routerLink]="['/favourite-events']">Favourite Events</a>
      </h5>

      <h5>
        <a [routerLink]="['/my-events']">My Events</a>
      </h5>

      <!-- {{createEventForm.value | json}} -->

    </div>


    <!-- <div class="col-md-8 col-md-offset-2"> -->
    <div class="col-md-9">

      <form role="form" method="POST" [formGroup]="createEventForm">

        <legend class="text-center">Edit {{data.selectedEvent.name}}</legend>
        <fieldset>
          <legend>Event Details</legend>
          <div class="row">

            <div class="form-group col-md-6">
              <label for="name">Event Name</label>
              <input formControlName="name" type="text" class="form-control" name="" placeholder="Event Name" />
              <p class="text-danger" *ngIf="createEventForm.controls.name.touched && createEventForm.controls.name.invalid">Required (Minimum 3 characters)</p>
            </div>

            <div class="form-group col-md-6">
              <label for="eventCategory">Event Category</label>
              <select formControlName="eventCategory" class="form-control" placeholder="Event Category">
                <option *ngFor="let category of data.eventCategories; let i=index" [value]="category.name">{{category.name}}</option>
              </select>
              <p class="text-danger" *ngIf="createEventForm.controls.eventCategory.touched && createEventForm.controls.eventCategory.invalid">Required</p>

            </div>
          </div>

          <div class="row">

            <div class="form-group col-md-6">
              <label for="fromDate">From Date</label>
              <input type="date" formControlName="fromDate" class="form-control" placeholder="Event From Date" />
              <p class="text-danger" *ngIf="createEventForm.controls.fromDate.touched && createEventForm.controls.fromDate.invalid">Required</p>
              <p class="text-danger" *ngIf="createEventForm.controls.toDate.touched && createEventForm.controls.toDate.invalid"></p>

              <br>
              <label for="fromTime">From Time (24 Hours)</label>
              <!-- <timepicker formControlName="fromTime"></timepicker> -->
              <input type="time" formControlName="fromTime" class="form-control">
              <p class="text-danger" *ngIf="createEventForm.controls.fromTime.touched && createEventForm.controls.fromTime.invalid">Required</p>

            </div>

            <div class="form-group col-md-6">
              <label for="toDate">To Date</label>
              <input type="date" formControlName="toDate" class="form-control" placeholder="Event To Date" />
              <p class="text-danger" *ngIf="createEventForm.controls.toDate.touched && createEventForm.controls.toDate.invalid">Required</p>
              <p class="text-danger" *ngIf="createEventForm.controls.fromDate.touched && createEventForm.controls.fromDate.invalid"></p>

              <br>
              <label for="toTime">To Time (24 Hours)</label>
              <!-- <timepicker formControlName="toTime"></timepicker> -->
              <input type="time" formControlName="toTime" class="form-control">
              <p class="text-danger" *ngIf="createEventForm.controls.toTime.touched && createEventForm.controls.toTime.invalid">Required</p>
            </div>

          </div>

          <div class="row">


            <div class="form-group col-md-6">
              <label for="city">City</label>
              <select formControlName="city" class="form-control" placeholder="Event City">
                <option *ngFor="let city of data.cities | async; let i=index" [value]="city">{{city}}</option>
              </select>
              <p class="text-danger" *ngIf="createEventForm.controls.city.touched && createEventForm.controls.city.invalid">Required</p>
            </div>


            <div class="form-group col-md-6">
              <label for="country">Country</label>
              <select formControlName="country" class="form-control" placeholder="Event Country">
                <option *ngFor="let country of data.countries; let i=index" [value]="country.name">{{country.name}}</option>
              </select>
              <p class="text-danger" *ngIf="createEventForm.controls.country.touched && createEventForm.controls.country.invalid">Required</p>
            </div>

          </div>

          <div class="row">

            <div class="form-group col-md-6">
              <label for="description">Description</label>
              <br>
              <textarea formControlName="description" class="form-control " rows="4" placeholder="Enter your description"></textarea>
              <p class="text-danger" *ngIf="createEventForm.controls.description.touched && createEventForm.controls.description.invalid">Required (Minimum 40 characters)</p>

            </div>

            <div class="form-group col-md-6">
              <label for="address">Address</label>
              <br>
              <textarea formControlName="address" class="form-control" rows="4" placeholder="Enter your address"></textarea>
              <p class="text-danger" *ngIf="createEventForm.controls.address.touched && createEventForm.controls.address.invalid">Required</p>

            </div>
          </div>

          <div class="row">


            <div class="form-group col-md-6">
              <label for="imgCover">Cover Image</label>
              <br>
              <input type="file" onclick="this.value = null" (change)="detectFile($event,'Cover')" class="form-control">
              <br>
              <button class="btn btn-primary" (click)="imageUpload('Cover')">Upload</button>
              <br>
              <img *ngIf="imageCoverUrl" [src]="createEventForm.value.imgCover" class="img-thumbnail" alt="">
              <p class="text-danger" *ngIf="createEventForm.controls.imgCover.touched && createEventForm.controls.imgCover.invalid">Required</p>

            </div>

            <div class="form-group col-md-6">
              <label for="imgDisplay">Display Image</label>
              <br>
              <input type="file" onclick="this.value = null" (change)="detectFile($event,'Display')" class="form-control">
              <br>
              <button class="btn btn-primary" (click)="imageUpload('Display')">Upload</button>
              <br>
              <img *ngIf="imageDisplayUrl" [src]="createEventForm.value.imgDisplay" class="img-thumbnail" alt="">
              <p class="text-danger" *ngIf="createEventForm.controls.imgDisplay.touched && createEventForm.controls.imgDisplay.invalid">Required</p>

            </div>

          </div>



        </fieldset>

        <fieldset>
          <legend>Organizer Details</legend>
          <div class="row">

            <div class="form-group col-md-6">
              <label for="organizerFullName">Full Name</label>
              <input formControlName="organizerFullName" type="text" class="form-control" name="" placeholder="Event Name">
              <p class="text-danger" *ngIf="createEventForm.controls.organizerFullName.touched && createEventForm.controls.organizerFullName.invalid">Required (Minumum 3 characters)</p>

            </div>

            <div class="form-group col-md-6">
              <label for="organizerWebsite">Orgnanizer Website</label>
              <input formControlName="organizerWebsite" type="text" class="form-control" name="" placeholder="Event Name">
              <p class="text-danger" *ngIf="createEventForm.controls.organizerWebsite.touched && createEventForm.controls.organizerWebsite.invalid">Invalid Website URL</p>

            </div>
          </div>
          <div class="row">

            <div class="form-group col-md-6">
              <label for="organizerPhone">Organizer Phone</label>
              <input formControlName="organizerPhone" type="text" class="form-control" name="" placeholder="Event Name">
              <p class="text-danger" *ngIf="createEventForm.controls.organizerPhone.touched && createEventForm.controls.organizerPhone.invalid">Required (10 digits)</p>

            </div>

            <div class="form-group col-md-6">
              <label for="organizerEmail">Organizer Email</label>
              <input formControlName="organizerEmail" type="text" class="form-control" name="" placeholder="Event Name">
              <p class="text-danger" *ngIf="createEventForm.controls.organizerEmail.touched && createEventForm.controls.organizerEmail.invalid">Invalid Email</p>

            </div>
          </div>


        </fieldset>

        <fieldset>
          <legend>Other Details</legend>
          <div class="row">

            <div class="col-md-6 form-group">
              <label for="forwardWebsite">Forward Website</label>
              <input type="text" name="" formControlName="forwardWebsite" id="" class="form-control" placeholder="Forward Website">
              <p class="text-danger" *ngIf="createEventForm.controls.forwardWebsite.touched && createEventForm.controls.forwardWebsite.invalid">Invalid Website URL</p>

            </div>

            <div class="form-group col-md-6">
              <label for="awardsCertificate">Awards &amp; Certificate</label>
              <br>
              <textarea formControlName="awardsCertificate" class="form-control " rows="4" placeholder="Enter your awards and certificates"></textarea>
              <p class="text-danger" *ngIf="createEventForm.controls.forwardWebsite.touched && createEventForm.controls.forwardWebsite.invalid">Required</p>

            </div>

          </div>




        </fieldset>


        <fieldset>
          <legend>Programme Details</legend>
          <div class="padding-side-20" formArrayName="programmes">
            <div class="col-md-12 programmes" *ngFor="let programme of getProgrammes().controls; let i = index;">
              <legend>Programme : {{programme.value.programmeName}}</legend>
              <div class="col-md-11" [formGroupName]="i">
                <div class="row">

                  <div class="form-group col-md-6">
                    <label for="organizerEmail">Name</label>
                    <input formControlName="programmeName" type="text" class="form-control" name="" placeholder="Event Name">
                    <p class="text-danger" *ngIf="programme.controls.programmeName.touched && programme.controls.programmeName.invalid">Required</p>

                  </div>

                  <div class="form-group col-md-6">
                    <label for="organizerEmail">Category</label>
                    <select class="form-control" formControlName="programmeCategory">
                      <option value="" *ngFor="let programmeCategories of getCurrentEventSubCategories()" [value]="programmeCategories.name">{{programmeCategories.name}}</option>
                    </select>
                    <p class="text-danger" *ngIf="programme.controls.programmeCategory.touched && programme.controls.programmeCategory.invalid">Required</p>

                  </div>

                </div>

                <div class="row">


                  <div class="form-group col-md-6">
                    <label for="description">Description</label>
                    <input formControlName="description" type="text" class="form-control" name="" placeholder="Event Name">
                    <p class="text-danger" *ngIf="programme.controls.description.touched && programme.controls.description.invalid">Required (Minumum 40 characters)</p>

                  </div>

                  <div class="form-group col-md-6">
                    <label for="type">Type</label>
                    <select class="form-control" formControlName="type">
                      <option value="Free" selected="true">Free</option>
                      <option value="Paid">Paid</option>
                      <option value="Both">Both</option>
                    </select>
                    <p class="text-danger" *ngIf="programme.controls.type.touched && programme.controls.type.invalid">Required</p>

                  </div>

                </div>
                <div class="row">


                  <div class="form-group col-md-6">
                    <label for="fromDate">From Date</label>
                    <input type="date" formControlName="toDate" class="form-control" placeholder="Datepicker" />
                    <p class="text-danger" *ngIf="programme.controls.fromDate.touched && programme.controls.fromDate.invalid">Required</p>
                    <p class="text-danger" *ngIf="programme.controls.toDate.touched && programme.controls.toDate.invalid"></p>

                    <br>
                    <label for="fromTime">From Time (24 Hours)</label>
                    <!-- <timepicker formControlName="fromTime"></timepicker> -->
                    <input type="time" formControlName="fromTime" class="form-control">
                    <p class="text-danger" *ngIf="programme.controls.fromTime.touched && programme.controls.fromTime.invalid">Required</p>

                  </div>

                  <div class="form-group col-md-6">
                    <label for="toDate">To Date</label>
                    <input type="date" formControlName="toDate" class="form-control" placeholder="Datepicker" />
                    <p class="text-danger" *ngIf="programme.controls.toDate.touched && programme.controls.toDate.invalid">Required</p>
                    <p class="text-danger" *ngIf="programme.controls.fromDate.touched && programme.controls.fromDate.invalid"></p>

                    <br>
                    <label for="toTime">To Time (24 Hours)</label>
                    <!-- <timepicker formControlName="toTime"></timepicker> -->
                    <input type="time" formControlName="toTime" class="form-control">
                    <p class="text-danger" *ngIf="programme.controls.toTime.touched && programme.controls.toTime.invalid">Required</p>

                  </div>

                </div>



                <div class="col-md-12 tickets" formArrayName="tickets">
                  <div class="col-md-12">
                    <legend>{{programme.value.programmeName }} Tickets</legend>
                  </div>

                  <div *ngFor="let ticket of getTickets(i).controls; let j = index;" [formGroupName]="j">
                    <div class="col-md-11">
                      <div class="row">

                        <div class="form-group col-md-6">
                          <label for="category">Category</label>
                          <input formControlName="category" type="text" class="form-control" name="" placeholder="Event Name">
                          <p class="text-danger" *ngIf="ticket.controls.category.touched && ticket.controls.category.invalid">Required</p>

                        </div>

                        <div class="form-group col-md-6">
                          <label for="date">Date</label>
                          <input formControlName="date" type="date" class="form-control" name="" placeholder="Event Name">
                          <p class="text-danger" *ngIf="ticket.controls.date.touched && ticket.controls.date.invalid">Required</p>

                        </div>

                      </div>
                      <div class="row">


                        <div class="form-group col-md-4">
                          <label for="free">Type</label>
                          <select formControlName="free" class="form-control">
                            <option value="Free">Free</option>
                            <option value="Paid">Paid</option>
                            <option value="Participant (Free)">Participant (Free)</option>
                            <option value="Participant (Paid)">Participant (Paid)</option>
                          </select>
                          <p class="text-danger" *ngIf="ticket.controls.free.touched && ticket.controls.free.invalid">Required</p>

                        </div>

                        <div class="form-group col-md-4">
                          <label for="seats">Seats</label>
                          <input formControlName="seats" type="text" class="form-control" name="" placeholder="Event Name">
                          <p class="text-danger" *ngIf="ticket.controls.seats.touched && ticket.controls.seats.invalid">Required</p>

                        </div>

                        <div class="form-group col-md-4">
                          <label for="price">Price</label>
                          <input formControlName="price" type="text" class="form-control" name="" placeholder="Event Name">
                          <p class="text-danger" *ngIf="ticket.controls.price.touched && ticket.controls.price.invalid">Required</p>

                        </div>

                      </div>

                    </div>
                    <div class="col-md-1">
                      <button class="btn btn-danger" (click)="deleteTicket(i,j)">
                        <i class="fa fa-trash-o" aria-hidden="true"></i>
                      </button>
                    </div>

                    <hr class="col-xs-12">

                  </div>
                  <div class="col-md-12 text-right">
                    <button class="btn btn-warning" (click)="addTicket(i,j)">Add Ticket</button>
                  </div>
                </div>

                <hr class="col-xs-12">

              </div>
              <div class="col-md-1 text-right">
                <button class="btn btn-danger" (click)="deleteProgramme(i)">
                  <i class="fa fa-trash-o" aria-hidden="true"></i>
                </button>
              </div>


            </div>

          </div>
          <br>
          <div class="col-md-12 text-right">
            <button class="btn btn-success" (click)="addProgramme()">Add Programme</button>
          </div>

        </fieldset>

        <div class="form-group ">
          <div class="col-md-12 text-center">
            <div class="checkbox " class="col-md-12">
              <label>
                <input type="checkbox" formControlName="acceptanceOfCommission" value="true" id=" ">I accept the
                <a href="# ">terms and conditions</a>.
                <p class="text-danger" *ngIf="createEventForm.controls.address.touched && createEventForm.controls.address.invalid">Required</p>

              </label>
            </div>
          </div>
        </div>

        <div class="form-group ">
          <div class="col-md-12 text-center">
            <button type="submit " class="btn btn-primary " (click)="createEvent()" submitted || !createEventForm.valid>
              Update Event Information
            </button>
          </div>
        </div>

      </form>
    </div>

  </div>
</div>